Error install Rasa X (update)

I’m trying to install rasa X but I get error. I have followed the following sequence (I’m doing it from Windows cmd but in Anaconda I get the same error):

python3 -m venv sample

.\sample\Scripts\activate

pip3 install PyJWT==2.0.0

pip3 install aiohttp==3.6.3

pip3 install multidict==4.7.6

pip3 install pytz==2020.5

pip3 install SQLAlchemy==1.3.19

pip3 install rasa-x -- extra-index-url https://pypi.rasa.com/simple -- use-deprecated=legacy-resolver

rasa -h

rasa init --no-prompt

rasa x

Error:

Starting Rasa X in local mode... 🚀
2021-11-19 10:49:18 WARNING  rasax.community.services.insights.insight_service  - No local evaluation result files found.
Traceback (most recent call last):
  File "c:\users\me\sample\lib\site-packages\rasa\cli\x.py", line 496, in run_locally
    local.main(
  File "c:\users\me\sample\lib\site-packages\rasax\community\local.py", line 257, in main
    common_utils.run_in_loop(model_service.discover_models())
  File "c:\users\me\sample\lib\site-packages\rasax\community\utils\common.py", line 900, in run_in_loop
    return loop.run_until_complete(coro)
  File "C:\Program Files\WindowsApps\PythonSoftwareFoundation.Python.3.8_3.8.2800.0_x64__qbz5n2kfra8p0\lib\asyncio\base_events.py", line 616, in run_until_complete
    return future.result()
  File "c:\users\me\sample\lib\site-packages\rasax\community\services\model_service.py", line 821, in discover_models
    await model_service.discover_models()
  File "c:\users\me\sample\lib\site-packages\rasax\community\services\model_service.py", line 147, in discover_models
    await _run_loop(max_retries, sleep_in_seconds)
  File "c:\users\me\sample\lib\site-packages\rasax\community\services\model_service.py", line 133, in _run_loop
    await self._discover_models()
  File "c:\users\me\sample\lib\site-packages\rasax\community\services\model_service.py", line 185, in _discover_models
    minimum_version = await self._retry_fetching_minimum_compatible_version()
  File "c:\users\me\sample\lib\site-packages\rasax\community\services\model_service.py", line 174, in _retry_fetching_minimum_compatible_version
    minimum_version = await self.minimum_compatible_version()
  File "c:\users\me\sample\lib\site-packages\rasax\community\services\model_service.py", line 160, in minimum_compatible_version
    info = await stack_service.version()
  File "c:\users\me\sample\lib\site-packages\rasax\community\services\stack_service.py", line 112, in version
    response = await session.get(
  File "c:\users\me\sample\lib\site-packages\aiohttp\client.py", line 582, in _request
    break
  File "c:\users\me\sample\lib\site-packages\aiohttp\helpers.py", line 596, in __exit__
    raise asyncio.TimeoutError from None
asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.

Rasa --version:

Rasa Version      :         2.8.14
Minimum Compatible Version: 2.8.9
Rasa SDK Version  :         2.8.2
Rasa X Version    :         0.42.5
Python Version    :         3.8.10
Operating System  :         Windows-10-10.0.19043-SP0
Python Path       :         c:\users\me\sample\scripts\python.exe

python3 --version:

Python 3.8.10

pip3 --version:

pip 21.3.1 from c:\users\me\sample\lib\site-packages\pip (python 3.8)

Update:

I wrote the following:
pip3 install rasa==2.8.1
pip3 install rasa-sdk==2.8.1
pip3 install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple
pip3 install SQLAlchemy==1.3.22
pip3 install sanic-jwt==1.6.0

rasa --version:

Rasa Version      :         2.8.1
Minimum Compatible Version: 2.8.0
Rasa SDK Version  :         2.8.1
Rasa X Version    :         0.39.3
Python Version    :         3.8.10
Operating System  :         Windows-10-10.0.19043-SP0
Python Path       :         c:\users\me\sample\scripts\python.exe

pip --version: pip 21.3.1 from c:\users\me\sample\lib\site-packages\pip (python 3.8)

Error:

(sample) C:\Users\me>rasa x
Starting Rasa X in local mode... 🚀
Traceback (most recent call last):
  File "c:\users\me\sample\lib\site-packages\alembic\script\base.py", line 162, in _catch_revision_errors
    yield
  File "c:\users\me\sample\lib\site-packages\alembic\script\base.py", line 364, in _upgrade_revs
    revs = list(revs)
  File "c:\users\me\sample\lib\site-packages\alembic\script\revision.py", line 765, in _iterate_revisions
    requested_lowers = self.get_revisions(lower)
  File "c:\users\me\sample\lib\site-packages\alembic\script\revision.py", line 319, in get_revisions
    return sum([self.get_revisions(id_elem) for id_elem in id_], ())
  File "c:\users\me\sample\lib\site-packages\alembic\script\revision.py", line 319, in <listcomp>
    return sum([self.get_revisions(id_elem) for id_elem in id_], ())
  File "c:\users\me\sample\lib\site-packages\alembic\script\revision.py", line 322, in get_revisions
    return tuple(
  File "c:\users\me\sample\lib\site-packages\alembic\script\revision.py", line 323, in <genexpr>
    self._revision_for_ident(rev_id, branch_label)
  File "c:\users\me\sample\lib\site-packages\alembic\script\revision.py", line 386, in _revision_for_ident
    raise ResolutionError(
alembic.script.revision.ResolutionError: No such revision or branch '652500998f3e'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "c:\users\me\sample\lib\site-packages\rasa\cli\x.py", line 496, in run_locally
    local.main(
  File "c:\users\me\sample\lib\site-packages\rasax\community\local.py", line 234, in main
    sql_migrations.run_migrations(session)
  File "c:\users\me\sample\lib\site-packages\rasax\community\sql_migrations.py", line 25, in run_migrations
    _run_schema_migrations(session)
  File "c:\users\me\sample\lib\site-packages\rasax\community\sql_migrations.py", line 41, in _run_schema_migrations
    _run_alembic_migration(alembic_config)
  File "c:\users\me\sample\lib\site-packages\rasax\community\sql_migrations.py", line 65, in _run_alembic_migration
    command.upgrade(alembic_config, target_revision)
  File "c:\users\me\sample\lib\site-packages\alembic\command.py", line 298, in upgrade
    script.run_env()
  File "c:\users\me\sample\lib\site-packages\alembic\script\base.py", line 489, in run_env
    util.load_python_file(self.dir, "env.py")
  File "c:\users\me\sample\lib\site-packages\alembic\util\pyfiles.py", line 98, in load_python_file
    module = load_module_py(module_id, path)
  File "c:\users\me\sample\lib\site-packages\alembic\util\compat.py", line 184, in load_module_py
    spec.loader.exec_module(module)
  File "<frozen importlib._bootstrap_external>", line 848, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "c:\users\me\sample\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py", line 96, in <module>
    run_migrations_online()
  File "c:\users\me\sample\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py", line 86, in run_migrations_online
    context.run_migrations()
  File "<string>", line 8, in run_migrations
  File "c:\users\me\sample\lib\site-packages\alembic\runtime\environment.py", line 846, in run_migrations
    self.get_context().run_migrations(**kw)
  File "c:\users\me\sample\lib\site-packages\alembic\runtime\migration.py", line 511, in run_migrations
    for step in self._migrations_fn(heads, self):
  File "c:\users\me\sample\lib\site-packages\alembic\command.py", line 287, in upgrade
    return script._upgrade_revs(revision, rev)
  File "c:\users\me\sample\lib\site-packages\alembic\script\base.py", line 365, in _upgrade_revs
    return [
  File "C:\Program Files\WindowsApps\PythonSoftwareFoundation.Python.3.8_3.8.2800.0_x64__qbz5n2kfra8p0\lib\contextlib.py", line 131, in __exit__
    self.gen.throw(type, value, traceback)
  File "c:\users\me\sample\lib\site-packages\alembic\script\base.py", line 194, in _catch_revision_errors
    compat.raise_from_cause(util.CommandError(resolution))
  File "c:\users\me\sample\lib\site-packages\alembic\util\compat.py", line 308, in raise_from_cause
    reraise(type(exception), exception, tb=exc_tb, cause=exc_value)
  File "c:\users\me\sample\lib\site-packages\alembic\util\compat.py", line 301, in reraise
    raise value.with_traceback(tb)
  File "c:\users\me\sample\lib\site-packages\alembic\script\base.py", line 162, in _catch_revision_errors
    yield
  File "c:\users\me\sample\lib\site-packages\alembic\script\base.py", line 364, in _upgrade_revs
    revs = list(revs)
  File "c:\users\me\sample\lib\site-packages\alembic\script\revision.py", line 765, in _iterate_revisions
    requested_lowers = self.get_revisions(lower)
  File "c:\users\me\sample\lib\site-packages\alembic\script\revision.py", line 319, in get_revisions
    return sum([self.get_revisions(id_elem) for id_elem in id_], ())
  File "c:\users\me\sample\lib\site-packages\alembic\script\revision.py", line 319, in <listcomp>
    return sum([self.get_revisions(id_elem) for id_elem in id_], ())
  File "c:\users\me\sample\lib\site-packages\alembic\script\revision.py", line 322, in get_revisions
    return tuple(
  File "c:\users\me\sample\lib\site-packages\alembic\script\revision.py", line 323, in <genexpr>
    self._revision_for_ident(rev_id, branch_label)
  File "c:\users\me\sample\lib\site-packages\alembic\script\revision.py", line 386, in _revision_for_ident
    raise ResolutionError(
alembic.util.exc.CommandError: Can't locate revision identified by '652500998f3e'

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.

Hi, as far as I know there is a problem with rasa x version 0.42.x. Try downgrading rasa x to 0.39.3. Try this out: Error running rasa x - <Future at 0x2b5686c4400 state=finished raised gaierror> on Windows - #6 by nik202

I’ll try that, thanks

I keep getting error haha

@Paulllllaaa Please try the solution, and share the errors. We will solve the error together.

I wrote the update. Thanks!

@Paulllllaaa I hope you able to solve this issue?